Subject: bug#45477: 27.1; RFE: Make full RSS fragments available for nnrss servers

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Dec 2020 04:02:55 +0100

Tim Landscheidt <[email-masked]> writes:

> Therefore, I need the data, and I need it in a format that
> can be processed further, and there will be a need for a
> custom user function to process the data because each use
> case will be different.

Sure, that sounds reasonable.  However:

> (If there was a major overhaul of nnrss, it could be inter-
> esting to forego the intermediate nnrss-group-data saved in
> ~/News/rss/* and either store the feeds as pure XML files,
> re-parsed on demand and available for further processing, or
> write out all the articles as mbox files after parsing the
> feeds, with the entries' fragments as MIME parts.)

I've not used nnrss myself, but reading the code, it seems like it's
storing all the data needed for Gnus to read an nnrss group in
`nnrss-group-data', so storing all the XML data in case somebody is
going to use it would require orders of magnitude more storage?

I think a way to implement this would be to add an nnrss variable that
says what "extra" XML fields to store -- like (nnrss-extra-fields
'(itunes:episodeType ...)).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no